module Locomotive
  	module CustomerCount

		class CustomerCount
			include Locomotive::Plugins::Document

			field :count, default: 0
		end

		class CustomerCountDrop < ::Liquid::Drop

			def initialize( config )
				@config = config
			end

			def value
				increment_count
				customer_count.count
			end

			protected

			def customer_count
				@cust_count ||= (CustomerCount.first || CustomerCount.new)
			end

			def increment_count
				start_value = @config["minimal_number"]
				start_value ||= "0" 

				if customer_count.count < start_value.to_i
					customer_count.count = start_value.to_i;
				end

		        customer_count.count += 1
		        customer_count.save!
			end

		end
	end
end